/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2020-2020. All rights reserved.
 */
//
//  IdeaShareEventHandler.h
//  ideaShareSDK_ios
//
//  Created by huawei on 2021/1/27.
//  Copyright © 2021 huawei. All rights reserved.
//

#import<Foundation/Foundation.h>
#import "IdeaShareDef.h"
NS_ASSUME_NONNULL_BEGIN

@protocol IdeaShareEventHandler<NSObject>
- (void)onShareStatusChangeNotify:(IDEA_SHARE_APP_SERVER_STATUS)status :(IDEA_SHARE_APP_ERR)reason;
- (void)onDevConfStatusChangeNotify:(IDEA_SHARE_APP_CONF_STATUS)confStatus :(IDEA_SHARE_APP_AUX_STATUS)auxStatus;
- (void)onRemoteServiceStatusChangedNotify:(RemoteServiceStatus *)remoteServiceStatus :(int)changeCount;
- (void)onErrorNotify:(IDEA_SHARE_APP_ERR)errCode;
@end

NS_ASSUME_NONNULL_END