/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2020-2020. All rights reserved.
 */
//
//  DataBufferController.h
//  shareMemery
//
//  Created by huawei on 2021/2/24.
//

#import<Foundation/Foundation.h>
#import<CoreMedia/CMSampleBuffer.h>

NS_ASSUME_NONNULL_BEGIN

@interface DataBufferController : NSObject
- (void)sendVideoBuffer:(CMSampleBufferRef)sampleBuffer;
- (void)sendAudioBuffer:(CMSampleBufferRef)sampleBuffer;
- (instancetype)initWithGroupId:(NSString*)groupId;
+ (NSString*)getGroupId;
@end

NS_ASSUME_NONNULL_END
